%define oname   Mnemosyne

Name:           mnemosyne
Version:        2.7.3
Release:        %mkrel 1
Summary:        Flash-card learning tool which optimizes the learning process
Group:          Education
License:        AGPLv3 and LGPLv3
URL:            https://mnemosyne-proj.org
Source0:        https://downloads.sourceforge.net/mnemosyne-proj/%{oname}-%{version}.tar.gz
Patch0:         mnemosyne-2.7.2-py3-shebang.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-cherrypy
Requires:       python3-matplotlib-qt5
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-sql
Requires:       python3-qt5-widgets
Requires:       python3-qt5-webenginewidgets
Requires:       python3-webob

%description
Mnemosyne resembles a traditional flash-card program but with an
important twist: it uses a sophisticated algorithm to schedule the best
time for a card to come up for review.

The Mnemosyne project is also a research project into the nature of long-term
memory, to which you can freely choose to participate by sending anonymous
data to a central server for analysis.

Optional dependency:
* texlive: enables entering formulas using LaTeX syntax.
Use the following syntax in a card: <$>LaTeX formula</$>

%prep
%autosetup -p1 -n %{oname}-%{version}

cp openSM2sync/LICENSE LICENSE.openSM2sync

%build
%py3_build

%install
%py3_install

install -D -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/

install -d %{buildroot}%{_iconsdir}/hicolor/128x128/apps
pushd %{buildroot}%{_iconsdir}
mv %{name}.png hicolor/128x128/apps/%{name}.png
popd

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog LICENSE.openSM2sync
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{oname}-%{version}*.egg-info
%{python3_sitelib}/openSM2sync
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Nov 26 2020 akien <akien> 2.7.3-1.mga8
+ Revision: 1649382
- Version 2.7.3

* Tue Nov 03 2020 akien <akien> 2.7.2-1.mga8
+ Revision: 1642214
- Version 2.7.2

* Sun Feb 16 2020 umeabot <umeabot> 2.6.1-4.mga8
+ Revision: 1532705
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 2.6.1-3.mga8
+ Revision: 1442772
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 2.6.1-2.mga7
+ Revision: 1355041
- rebuild for new Python 3.7

* Sun Nov 04 2018 daviddavid <daviddavid> 2.6.1-1.mga7
+ Revision: 1328081
- new version: 2.6.1

* Thu Sep 20 2018 umeabot <umeabot> 2.6-2.mga7
+ Revision: 1279940
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 2.6-1.mga7
+ Revision: 1229428
- Version 2.6

* Sat Aug 05 2017 pterjan <pterjan> 2.5-2.mga7
+ Revision: 1135273
- Rebuild for python 3.6

* Sat Jul 01 2017 akien <akien> 2.5-1.mga6
+ Revision: 1108790
- Version 2.5

* Fri Feb 03 2017 akien <akien> 2.4.1-1.mga6
+ Revision: 1084668
- Version 2.4.1

* Mon Dec 05 2016 akien <akien> 2.4-1.mga6
+ Revision: 1072650
- Version 2.4
- Build with Python 3 and Qt 5

* Tue May 10 2016 akien <akien> 2.3.6-1.mga6
+ Revision: 1012318
- Version 2.3.6

* Sun Dec 13 2015 akien <akien> 2.3.5-1.mga6
+ Revision: 910086
- Version 2.3.5

* Mon Jun 22 2015 akien <akien> 2.3.3-1.mga6
+ Revision: 839478
- Version 2.3.3

* Sun Mar 08 2015 akien <akien> 2.3.2-1.mga5
+ Revision: 818182
- Version 2.3.2

* Fri Oct 17 2014 akien <akien> 2.3.1-1.mga5
+ Revision: 777628
- Add AUR patch to fix conflict between Qt4 and Qt5 in matplotlib
- import mnemosyne from Fedora

